Delete Organization

There may be a time you want to clean up and organization. Either for development, or you want to clean up production organizations because a partner who has left. For that you can use the DELETE organization endpoint.

How To Delete An Organization

Hit the corresponding API Endpoint

Endpoint: DELETE /api/oem-api/organization/{vendorOrganizationId}

The vendorOrganizationId is the id you would have provided to create the organization during the POST create request. This should be an internal id you should have stored somewhere to reference the organization within our system.

DELETE /api/oem-api/organization/{vendorOrganizationId}

body: {
  "clientId": <ClientId>,
  "clientSecret": <ClientSecret>,
  "grantType": "client_credentials",
  "scope": "vendor_manage",
}
params: vendorOrganizationId
{
  "status": 201,
  "message": "Success"
}
{
  "status": 401,
  "message": "Unauthorized: Invalid credentials"
}

Possible Errors

  • 400 Bad Request - Malformed request body
  • 401 Unauthorized - Invalid client ID or client secret
  • 403 Unauthorized - Invalid organization token
  • 404 Not Found - User not found